Bug 29390 - lba32 not configured during install
lba32 not configured during install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-25 10:51 EST by Brian Ryner
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-20 14:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 2001-02-25 10:51:28 EST
During installation, anaconda claimed that my system is not capable of
booting from past 1024 cylinders (lba32).  My system IS lba32-capable.  It
therefore used the "linear" option instead of "lba32" in lilo.conf, giving
me a non-booting system.

The system is a Dell Dimension 4100; let me know if there is any other
information that would be helpful.
Comment 1 Michael Fulbright 2001-02-25 11:15:40 EST
This would most likely mean that when we used the EDD BIOS call to ask if your
board supports lba32, it returned that it did not.

Just boot from the boot floppy you were encouraged to make during the install
process, edit the /etc/lilo.conf and switch it to using lba32, rerun lilo and
then see if you can login.

We have encountered ALOT of problems with different BIOSes supported lba32
differently, so we touch the current conservative approach until we have more
data.
Comment 2 Brian Ryner 2001-02-25 11:43:35 EST
Oops, I guess I should have mentioned that.  I booted from the CD in rescue
mode, edited lilo.conf as you suggested, re-ran lilo, and all is fine.
Comment 3 Michael Fulbright 2001-02-27 18:28:19 EST
We should take another look at this to be sure, assigning to an engineer.
Comment 4 Brian Ryner 2001-03-06 16:39:01 EST
Still happening as of RC2.  This results in a non-bootable system, and there is
no way during the install to force it to use lba32.
Comment 5 Michael Fulbright 2001-03-20 14:09:41 EST
I am making a change to always write lba32 if the boot partition is above the
1023 limit. This should handle your case correctly.


Note You need to log in before you can comment on or make changes to this bug.